# Jabber Anwendung für Notfall-Informations- und -Nachrichten-Empfang

**HINWEIS:** Diese Anwendung ist experimentell! Ich übernehme keinerlei Haftung für Schäden, die mit der Verwendung des Bots im Zusammenhang stehen.

Ein Jabber-Bot, der Meldungen vom BBK an konfigurierte Accounts
weiterleitet. Die Daten stammen von [hier](https://warnung.bund.de/meldungen)
und umfassen das IHP, den DWD, das MoWaS und die BIWAPP.

## Dependencies

JANINE benötigt

- `aioxmpp>=0.11.0`
- `requests>=2.24.0`

## Verwendung

Instaliert wird JANINE per `python setup.py install`.

Die Datei `janine.example.conf` erklärt alle notwendigen
Einstellungen.

Um den Bot zu starten, verwendet man einfach `janine`. Als optionaler
Parameter kann noch der Pfad zur Konfiguration übergeben werden.
Standardmäßig wird versucht `/etc/janine/janine.conf` zu laden.

## Bugs

Bugs können an `papatutuwawa [at] polynom.me` gemeldet werden. Meinen GPG Schlüssel findet man
[hier](https://pki.polynom.me/pubkeys/papatutuwawa.pub).

## LIZENZ

JANINE unterliegt der GPLv3-Lizenz. Siehe `LICENSE`.
