from setuptools import setup, find_packages

setup(
    name = 'janine',
    version = '0.3.4',
    description = 'An XMPP bot relaying data from the IHP, DWD, MOWAS and BIWAP',
    url = 'https://git.polynom.me/PapaTutuWawa/janine',
    author = 'Alexander "PapaTutuWawa"',
    author_email = 'papatutuwawa@polynom.me',
    license = 'GPLv3',
    packages = find_packages(),
    install_requires = [
        'aioxmpp>=0.11.0',
        'requests>=2.23.0'
    ],
    zip_safe=True,
    entry_points={
        'console_scripts': [
            'janine = janine.janine:main'
        ]
    }
)
